<?php defined("APP") or die() ?>
<div id="user-bundles">
	<?php echo Main::message() ?>  	
	<div class="row">
		<div class="main-content col-md-12">
			<h3><?php echo e("Manage your bundles") ?></h3>
			<a href="" class="btn btn-xs btn-primary ajax_call" data-action="bundle_create" data-title="<?php echo e("Create Bundle") ?>"><i class="fa fa-plus"></i>&nbsp;<?php echo e("Create Bundle") ?></a>	
			<div class="panel panel-default panel-body panel-bundles">
				<table id="bundles-table" class="table table-striped table-bordered table-hover bundles">
					<thead>
						<tr>
							<th><?php echo e("Bundles") ?>"</th>
							<th><?php echo e("Views") ?></th>
							<th><?php echo e("URLs") ?></th>
							<th><?php echo e("Public") ?></th>
							<th><?php echo e("Options") ?></th>
						</tr>
					</thead>
					<tbody>
					<?php foreach ($bundles as $bundle): ?>
					<tr>
						<td>
							<a href="#" class="ajax_call" data-class="return-ajax" data-id="<?php echo $bundle->id ?>" data-active="active" data-action="bundle_urls"><h5 class="list-group-item-heading"><?php echo $bundle->name ?></h5></a>
							<a href="#" class="copy inline-copy right" data-value="<?php echo $this->config["url"]."/profile/{$this->user->username}/".Main::slug($bundle->name)."-{$bundle->id}"; ?>" title="<?php echo e("Copy") ?>"><i class="fa fa-files-o text-default"></i></a>
						</td>
						<td class="center">
							<?php echo $bundle->view ?> 
						</td>
						<td class="center">
							<?php echo $this->count("user_bundle_urls",$bundle->id) ?> 
						</td>
						<td class="center">
							<?php if(ucfirst($bundle->access) == 'Public') echo '<i class="fa fa-check text-primary"></i>'; ?>
						</td>
						<td class="options center">
							<i class='fa fa-clock-o label-info masterTooltip right hidden-xs' title=" <?php echo Main::timeago($bundle->date) ?>"></i>	
							<a href='#edit' class='ajax_call right hidden-xs' data-title="<?php echo e("Edit Bundle")?>" data-action='bundle_edit' data-id='<?php echo $bundle->id ?>'><i class="fa fa-pencil btn-success" title="Edit"></i></a>
							<a href="<?php echo Main::href("user/delete/{$bundle->id}").Main::nonce("delete_bundle-{$bundle->id}") ?>" class="delete  right hidden-xs"><i class="fa fa-trash-o btn-danger" title="Delete"></i></a>
							<div class="options toggle2">									
								<a href="" class="drop scroll visible-xs"><i class="fa fa-gear fa-2x text-info" title="Options"></i></a>									
								<div class="dropoption">								
									<ul>
										<li><a href="<?php echo Main::href("user/delete/{$bundle->id}").Main::nonce("delete_bundle-{$bundle->id}") ?>" class="delete  right"><i class="fa fa-trash-o btn-danger" title="Delete"></i></a></li>
										<li><a href='#edit' class='ajax_call right' data-title="<?php echo e("Edit Bundle")?>" data-action='bundle_edit' data-id='<?php echo $bundle->id ?>'><i class="fa fa-pencil btn-success" title="Edit"></i></a></li>
										<li><i class='fa fa-clock-o label-info masterTooltip right' title=" <?php echo Main::timeago($bundle->date) ?>"></i></li>	
									</ul>
								</div>
							</div>								
						</td>
					</tr>
					<?php endforeach ?>
					</tbody>
				</table>
				<?php echo $pagination ?>				
			</div>
		</div>
		<div class="main-content col-md-12">
			<div class="panel panel-default panel-body">
				<div id="data-container">
					<div class="btn-group btn-group-sm">
						<a href="#" class="btn btn-primary" id="selectall"><i class="fa fa-check"></i>&nbsp;&nbsp;<?php echo e("Select All")?></a>
						<a href="#" class="btn btn-danger" id="deleteall"><i class="fa fa-times"></i>&nbsp;&nbsp;<?php echo e("Delete All")?></a>
					</div>
					<h5 class="center"><?php echo e("Please select a bundle from the left.") ?></h5>				
					<form action="<?php echo Main::href("user/delete") ?>" method="post" id="delete-all-urls">				
						<div class="url-container">
							<table id="urls-table" class="table urls-table table-striped table-bordered table-hover">
								<thead>
									<tr>
										<th class="center">
										</th>
										<th class="hidden-xs">Link</th>
										<th>Short link/clicks</th>
										<th>Options</th>
									</tr>
								</thead>
								<tbody class="return-ajax">
									
								</tbody><!-- /.return-ajax -->
							</table>							
						</div>
						<?php echo Main::csrf_token(TRUE) ?>
					</form>
				</div><!-- /#data-container -->	  					
			</div>		
		</div>
	</div>
</div>
