<?php defined("APP") or die();

include TEMPLATE."/config.php";
include(TEMPLATE."/functions.php");
require(TEMPLATE."/mdetect.php");

$get = new light($this->db,$this->config);
$title = $get->site("title");
$description = $get->site("description");
$keywords = $get->site("keywords");
?>
<!DOCTYPE html>
<html lang="<?php if($this->lang != ""){ echo $this->lang; }else{ echo "en"; } ?>" prefix="og: http://ogp.me/ns#">
  <head>       
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">    
    <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no, maximum-scale=1.0" />  
    <meta name="description" content="<?php echo Main::description() ?>" />
    <meta name="keywords" content="<?php echo $keywords; //echo $this->config["keywords"] ?>" />
	<?php 
	$img_list = array();
	$i = 1;
	foreach(glob(TEMPLATE.'/img/uploads/*.ico') as $filename){
		$img_list[$i] = basename($filename);
		$i++; 
	}
	
	if(!empty($img_list)){ 
		echo '<link rel="shortcut icon" href="'.$this->config["url"].'/themes/'.$this->config["theme"].'/img/uploads/'.$img_list[1].'" type="image/x-icon">';
		echo '<link rel="icon" href="'.$this->config["url"].'/themes/'.$this->config["theme"].'/img/uploads/'.$img_list[1].'" type="image/x-icon">';
	} ?>
	
    <!-- Open Graph Tags -->
    <?php
	  $meta="<meta property=\"og:type\" content=\"website\" />\n\t";      
      $meta.="<meta property=\"og:url\" content=\"".Main::url()."\" />\n\t"; 
      $meta.="<meta property=\"og:title\" content=\"".$title . " :: " . str_replace($this->config["title"],'',Main::title(""))."\" />\n\t";
      $meta.="<meta property=\"og:description\" content=\"".Main::description()."\" />\n\t";  
      $meta.="<meta property=\"og:image\" content=\"".Main::image()."\" />\n"; 
      if(!empty(Main::$video)){
        $meta.=Main::$video; 
      }
      echo $meta; 
	?> 
    <title><?php echo  str_replace($this->config["title"],'',Main::title()).$title ; ?></title> 
    <!-- Bootstrap core CSS -->
	<link rel="stylesheet" type="text/css" href="<?php echo $this->config["url"] ?>/themes/<?php echo $this->config["theme"] ?>/static/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo $this->config["url"] ?>/themes/<?php echo $this->config["theme"] ?>/static/css/jquery-ui.css"> 

    <!-- Component CSS -->
	<?php if(!$this->isHome){
			echo '<link rel="stylesheet" href="'.$this->config["url"].'/themes/'.$this->config["theme"].'/static/css/dropzone.css" />';
			echo '<script src="'.$this->config["url"].'/themes/'.$this->config["theme"].'/static/js/dropzone.js"></script>';
		  }
	?>
    <link rel="stylesheet" type="text/css" href="<?php echo $this->config["url"] ?>/themes/<?php echo $this->config["theme"] ?>/static/css/components.min.css">
	<link rel="stylesheet" type="text/css" href="<?php echo $this->config["url"] ?>/themes/<?php echo $this->config["theme"] ?>/static/css/animate.min.css">
	<link rel="stylesheet" type="text/css" href="<?php echo $this->config["url"] ?>/themes/<?php echo $this->config["theme"] ?>/<?php echo $css?>?v=1.4">
	
	
	<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">
	

	<style type="text/css">
		<?php 
			$img_list = array();
			$i = 1;
			 foreach(glob(TEMPLATE.'/img/uploads/'.'*.jpg') as $filename){
				 $img_list[$i] = basename($filename);
				 $i++; 
			}
			
			switch ($setting["changeBackground"]) {
				case "hourly":
					$change_time = 3600;  // 3600 seconds = 1 hour
					break;
				case "daily":
					$change_time = 86400;
					break;
				case "monthly":
					$change_time = 2592000;
					break;
				default:
					$change_time = 86400;
			}
			if(!isset($_COOKIE["background"])){
				 $r = rand(1, count($img_list));
				 setcookie("background", $r, time() + ($change_time));  
				 $random_img = $img_list[$r];
			 }

			 if(isset($_COOKIE["background"])){
				$r = $_COOKIE["background"];
				if(count($img_list) < $r){
					$r = rand(1, count($img_list));
					setcookie("background", $r, time() + ($change_time));  
				}
				$random_img = $img_list[$r];
			 }
			
			if(!empty($img_list) && !isset($setting['noBackground'])){ 
				if(!isset($setting['showimageafterload']))		
					echo '.large-header {background-image: url('.$this->config["url"].'/themes/'.$this->config["theme"].'/img/uploads/'.$random_img.'); background-repeat: '.$setting["repeatBackground"].';}';
				if($setting["repeatBackground"] != 'no-repeat')
					echo '.large-header {background-size: initial;}';
			}else{
				echo '#main-form .main-advanced {background: transparent;} .shortener {position: relative;}';
			}
			if($setting["backgroundPosition"] != '')
				echo '.large-header {background-position: '.$setting["backgroundPosition"].';}';
			

			$uagent_obj = new uagent_info();
			if(!isset($setting['noBackgroundMobile'])){
				$noBackgroundMobile = 0;
			}else{
				$noBackgroundMobile = $uagent_obj->DetectMobileQuick();
			}
			if($noBackgroundMobile)
				echo '.shortener {position: relative;}';
			
			if(isset($setting['noScrollBar']))
				echo 'html::-webkit-scrollbar {width: 0 !important;}html::-webkit-scrollbar-thumb {-webkit-box-shadow: inset 0 0 0px rgba(0,0,0,0);}html{-ms-overflow-style: none;overflow: -moz-scrollbars-none; }';
			if(isset($setting['animateOnScroll']))
				echo '.os-animation{opacity: 0;}.os-animation.animated{opacity: 1;}';
			if(isset($setting['animateOnScroll']))
				echo '.os-animation{opacity: 0;}.os-animation.animated{opacity: 1;}';
			if(isset($setting['bodyColor']))
				echo 'body {background-color: rgba('.$setting['bodyColor'].',1);}';
			if(isset($setting['registerColor']))
				echo '.register-1,.register-2,.register-3{background-color:rgba('.$setting['registerColor'].',1);}';
			if(isset($setting['headerMenuColor']))
				echo '.header2{background: '.$setting['headerMenuColor'].';}';
			if(isset($setting['videoDotsOverlay']))
				echo '.large-video{background: url(themes/light/img/overlay1.png) repeat;}';
				
				
			
			
			echo $setting["customcss"];		
		?>
		
		

	</style>
	<?php
	if(isset($setting["rtl"]) && !empty($setting["rtl"])){
		$language = getlangcode();
		if(in_array($language, $setting["rtl"]))
			echo '<link rel="stylesheet" href="'.$this->config["url"].'/themes/'.$this->config["theme"].'/rtl.css" type="text/css"/>';
	}
	?>
	<!-- Required Javascript Files -->
	<script src="<?php echo $this->config["url"] ?>/themes/<?php echo $this->config["theme"] ?>/static/js/jquery.js" type="text/javascript"></script>
	<script type="text/javascript" src="<?php echo $this->config["url"] ?>/themes/<?php echo $this->config["theme"] ?>/static/js/bootstrap.min.js"></script>

	
	<script src="<?php echo $this->config["url"] ?>/themes/<?php echo $this->config["theme"] ?>/static/js/lucid.js"></script>
	<?php if($this->isHome){
			echo '<script src="//cdnjs.cloudflare.com/ajax/libs/waypoints/2.0.3/waypoints.min.js"></script>';
			if($setting['features'] == 2)
				echo '<script src="'.$this->config["url"].'/themes/'.$this->config["theme"].'/static/js/owl.carousel.js" type="text/javascript"></script>';
			if(isset($setting['showvideo']))
				echo '<script src="'.$this->config["url"].'/themes/'.$this->config["theme"].'/static/js/jquery.tubular.1.0.js" type="text/javascript"></script>';
			}
	?>
	
	<script src="<?php echo $this->config["url"] ?>/themes/<?php echo $this->config["theme"] ?>/static/js/light.js?v=1.4" type="text/javascript"></script>
	<script type="text/javascript" src="<?php echo $this->config["url"] ?>/static/application.fn.js?v=1.0"></script>
    <script type="text/javascript" src="<?php echo $this->config["url"] ?>/static/application.js?v=1.0"></script> 
	
	<script type="text/javascript">
      var appurl="<?php echo $this->config["url"] ?>";
	  var appurl2="<?php echo $this->config["url"] ?>/themes/<?php echo $this->config["theme"] ?>";
      var token="<?php echo $this->config["public_token"] ?>";
	  <?php if(isset($setting['smoothscroll'])){ 	  
	  echo "$(window).on('load', function() {	$(this).impulse();  });";
	  } ?>
    </script> 


	
	
    <?php Main::enqueue() // Add scripts when needed ?>        
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body <?php echo Main::body_class() ?> id="body">
    <a href="#body" id="back-to-top"><i class="fa fa-angle-double-up fa-2x"></i></a>
    <?php if($this->isUser): // Show header for logged user ?>
      <header class="app">
        <div class="navbar" role="navigation">
          <div class="container-fluid">
            <div class="row">  
              			
                <div class="navbar-header">
					<a href="#menu-toggle" class="" id="menu-toggle"><i class="fa fa-th-list fa-2x"></i></a>   
					<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
						<span class="fa fa-align-justify"></span>
					</button>
					<a class="navbar-brand" href="<?php echo $this->config["url"] ?>">
                    <?php if (!empty($this->config["logo"])): ?>
                    <img src="<?php echo $this->config["url"] ?>/content/<?php echo $this->config["logo"] ?>" alt="<?php echo $title; ?>">
                    <?php else: ?>
                      <?php echo $title; ?>
                    <?php endif ?>
					</a> 
				</div>  
			       
             <div class="navbar-collapse collapse">
                <?php $mclass = new light($this->db,$this->config); echo $mclass->menu2(); ?>
             </div>  
            </div>
          </div>
        </div>     
      </header>
      <section>
        <div class="container-fluid">          
          <div class="row" id="wrapper">
		  <div id="sidebar-wrapper">
            <div class="sidebar">
			<?php echo '<h5 class="center"> Welcome '.$this->user->username.'</h5>'; ?>
              <?php $mclass = new light($this->db,$this->config); echo $mclass->user_menu(); ?>     
            </div>
		  </div>			
		<div id="page-content-wrapper">
            <div class="col-lg-12 content">    
				<?php else: ?>
				  <?php if($this->headerShow): // Show header ?>    
					  <header class="pages-header">
					  <div class="navbar" role="navigation">

						  <div class="navbar-header">
							<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
							  <span class="fa fa-bars"></span>
							</button>
							<a class="navbar-brand" href="<?php echo $this->config["url"] ?>">
							  <?php if (!empty($this->config["logo"])): ?>
							  <img src="<?php echo $this->config["url"] ?>/content/<?php echo $this->config["logo"] ?>" alt="<?php echo $title ?>">
							  <?php else: ?>
								<?php echo $title; ?>
							  <?php endif ?>
							</a>
						  </div>
						  <div class="navbar-collapse collapse">
							<?php //echo $this->menu() ?>
							<?php $mclass = new light($this->db,$this->config); echo $mclass->menu2();  ?>
						  </div>
					  </div>    
					</header>    
					 <?php endif ?>      
					 <?php endif ?>
						
					<div class="modal fade" id="login-modal" tabindex="-1" role="dialog">
						<div class="modal-dialog poplogin">
							<div class="modal-content">
							<div class="modal-header">
								<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
								<h4 class="modal-title"><?php echo e("Login to your account") ?></h4>
							</div>
						  
							<div class="modal-login">      
								
								<?php //echo Main::message() ?> 
								<form role="form" class="live_form form" id="login_form" method="post" action="<?php echo Main::href("user/login")?>"> 
										 
									<div class="form-group">
										<label for="email">
											<?php if($this->config["user"] && !$this->config["private"] && !$this->config["maintenance"]): ?>
											<?php endif ?>
										</label>
										<div class="input-group">
											<span class="input-group-addon"><i class="fa fa-user"></i></span>
											<input type="text" class="form-control" id="email" placeholder="<?php echo e("Email") ?>" name="email">
										</div>
									</div>
									<div class="form-group">        
									   <div class="input-group">
											<span class="input-group-addon"><i class="fa fa-lock"></i></span>
											<input type="password" class="form-control" id="loginpass" placeholder="<?php echo e("Password") ?>" name="password">
										</div>  
									</div>		
									<div class="form-group">
										<label class="rememberme">
										<input type="checkbox" name="rememberme" value="1" data-class="blue">  
										<span class="check-box"><?php echo e("Remember me")?></span>
										</label> <?php echo Main::csrf_token(TRUE) ?>
										<button type="submit" class="btn btn-primary"><?php echo e("Login")?></button>
									</div>   <hr>               
										<?php if(!$this->config["private"] && !$this->config["maintenance"] && $this->config["user"] && ($this->config["fb_connect"] || $this->config["tw_connect"] || $this->config["gl_connect"])):?>
										<div class="form-group">
										
										<div class="login-options">
											<h4><?php echo e("Login using a social network") ?></h4>
											<ul class="social-icons" style="display: table-cell;">
												<?php if($this->config["fb_connect"]):?>
												<li>
													<a class="facebook" data-original-title="facebook" href="<?php echo $this->config["url"]?>/user/login/facebook"></a>
												</li>
												<?php endif;?>
												<?php if($this->config["tw_connect"]):?>
												<li>
													<a class="twitter" data-original-title="Twitter" href="<?php echo $this->config["url"]?>/user/login/twitter"></a>
												</li>
												<?php endif;?>
												<?php if($this->config["gl_connect"]):?>
												<li>
													<a class="googleplus" data-original-title="Goole Plus" href="<?php echo $this->config["url"]?>/user/login/google"></a>
												</li>
												<?php endif;?>
											</ul>
										</div>
									</div><hr>
									<?php endif;?>  

									<div class="form-group">
										<div class="forget-password">
											<h5><?php echo e("Forgot Password") ?></h5>
											<?php echo e("Click") ?> <a href="#forgot" id="forgot-password" class="text-danger"><?php  echo t("here") ?> </a> <?php  echo t("to reset your password.") ?>
										</div>
									</div>
									<div class="form-group">
										<div class="create-account">
											<p><?php  echo t("Don't have an account yet") ?> ?&nbsp;&nbsp; 
											
											<a href="<?php echo Main::href("user/register")?>" id="register-btn" class="text-danger"><?php  echo t("Create an account") ?> </a>
											</p>
										</div>
									</div>
								</form>  

								<form role="form" class="live_form" id="forgot_form" method="post" action="<?php echo Main::href("user/forgot")?>">
									<h3>Forget Password ?</h3>
									<p>Enter your e-mail address below to reset your password.</p>
									<div class="form-group">
										<div class="input-group">
											<span class="input-group-addon"><i class="fa fa-envelope"></i></span>
											<input type="email" class="form-control" id="email1" placeholder="Enter email" name="email">
										</div>
									</div> 
									<button type="submit" class="btn btn-primary"><?php echo e("Reset Password")?></button>
									<a class="pull-right" onclick="backtologin()">(<?php echo e("Back to login")?>)</a>
									<?php echo Main::csrf_token(TRUE) ?>
							  </form>        
							</div>
							
							</div>
						</div>
					</div>
					<?php 
					if(isset($setting['showimageafterload'])){ 
						echo "<script>
								$(window).bind('load', function() {
								   $('.large-header').css({'background-image': 'url(".$this->config["url"]."/themes/".$this->config["theme"]."/img/uploads/".$random_img.")', 'background-repeat': '".$setting["repeatBackground"]."' })
								});
							</script>";
					 } 
					?>
